## Desktop Environment Configuration Desktop Environment Configuration — Desktop Environment Configuration |

## Functions

void | garcon_set_environment ()
const gchar * | garcon_get_environment ()
void | garcon_set_environment_xdg ()

## Types and Values

#define | GARCON_ENVIRONMENT_XFCE

## Includes

    #include <garcon/garcon.h>

## Description

Set the desktop environment used by the OnlyShowIn and NotShowIn desktop files keys.

## Functions

### garcon_set_environment ()

    void
    garcon_set_environment (const gchar *env);

Sets (or unsets) the desktop environment for which menus will generated. Menus and menu items belonging to other desktop environments will be ignored. If set to `NULL`, all menu items are used.

#### Parameters

env | Name of the desktop environment for which menus will be generated (e.g. XFCE, KDE, GNOME or `NULL`). |

### garcon_get_environment ()

    const gchar *
    garcon_get_environment (void);

Get the environment set with `garcon_set_environment()`.

#### Returns

Name of the desktop environment (e.g. XFCE, KDE, GNOME) which is used or `NULL`.

### garcon_set_environment_xdg ()

    void
    garcon_set_environment_xdg (const gchar *fallback_env);

Set the desktop environment to the envvar XDG_CURRENT_DESKTOP. If this variables is not set, it falls back to `default_env` .

For `fallback_env` you can use for example GARCON_ENVIRONMENT_XFCE.

#### Parameters

fallback_env | fallback value |

Since: 0.3.0

## Types and Values

### GARCON_ENVIRONMENT_XFCE

    #define GARCON_ENVIRONMENT_XFCE "XFCE"

Macro for garcon_set_environment or garcon_set_environment_xdg to set the Xfce Desktop Environment.

Since: 0.3.0